Subject: (urth) Number Five, Please Call Your Answering Service...

From: Mitchell A. Bailey <mab at lindau.net>
Date: Sat, 19 Jun 1999 10:26:03 +0000

Thought this story from the BBC News site of June 18th might interest
you (the Drudge Report had a link to it) 
An outfit called American Cell Technology has acknowledged that they
have succeeded in cloning a human cell, kept it alive, then destroyed it
before it was 14 days old. Interesting remark the BBC made in its
article: " ...but this development will also [cause] a significant
heightening of the debate over the ethics of human cloning, and indeed
what it means to be a human."
Are we on the cutting edge, or what?!

*More Wolfe info & archive of this list at http://www.urth.net/urth/